Author Topic: CodeBlocks 12.11 cann't use wxWidgets-2.9.4?  (Read 6906 times)

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: CodeBlocks 12.11 cann't use wxWidgets-2.9.4?
« Reply #15 on: March 07, 2013, 02:45:36 pm »
If both wx-config outputs are from the same machine and the same user, C::B and the console must run with different environments.
If your wx-config for wx2.9 is not in /usr/bin, but e.g. in /usr/local/bin, you might need to use the absolute path for it in the compiler and linker options.
C::B puts the compilers search path (usually /usr/bin) in the front of the path it uses for building to ensure the correct compiler is used.

Offline freepro

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: CodeBlocks 12.11 cann't use wxWidgets-2.9.4?
« Reply #16 on: March 07, 2013, 02:59:26 pm »
If both wx-config outputs are from the same machine and the same user, C::B and the console must run with different environments.
If your wx-config for wx2.9 is not in /usr/bin, but e.g. in /usr/local/bin, you might need to use the absolute path for it in the compiler and linker options.
C::B puts the compilers search path (usually /usr/bin) in the front of the path it uses for building to ensure the correct compiler is used.

Oh, i understand it! the question was solved!
Thank you very carefully to the answers! :D